Bug 428195 - ebview search results aren't visible
ebview search results aren't visible
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ebview (Show other bugs)
8
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
https://bugzilla.novell.com/show_bug....
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-09 16:26 EST by Jun'ichi Nomura (Red Hat)
Modified: 2013-04-02 19:51 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.3.6-4.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-11 17:15:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Captured image after searching a word "linux" (57.70 KB, image/png)
2008-01-09 16:26 EST, Jun'ichi Nomura (Red Hat)
no flags Details
A screenshot of ebview (32bit executable on x86_64) (111.72 KB, image/png)
2008-01-10 11:12 EST, Jun'ichi Nomura (Red Hat)
no flags Details

  None (edit)
Description Jun'ichi Nomura (Red Hat) 2008-01-09 16:26:38 EST
Description of problem:
Searching result is not visible in the window.

Version-Release number of selected component (if applicable):
ebview-0.3.6-3.fc8

How reproducible:
Always

Steps to Reproduce:
1. Start ebview
2. Select dictionary and search a word
3.
  
Actual results:
The search seems to succeed but the result is not readable.

Expected results:
The result is readable.


Additional info:
Sample image is attached.
Comment 1 Jun'ichi Nomura (Red Hat) 2008-01-09 16:26:38 EST
Created attachment 291205 [details]
Captured image after searching a word "linux"
Comment 2 Mamoru TASAKA 2008-01-10 06:37:41 EST
Well, none of the dictionaries in the picture on your attachment
(in comment 1) is available to me...

* On what LANG environment are you using ebview?
* Does the problem still exist even if you use the dictionaries
  available from
  http://openlab.ring.gr.jp/edict/fpw/ ?
  I tried
  http://openlab.ring.gr.jp/edict/fpw/dist/wdic/wdic-fpw1.4.zip
  for example and I can correctly watch the search result.
Comment 3 Jun'ichi Nomura (Red Hat) 2008-01-10 11:06:33 EST
Thanks for the links.
But the result was the same with edic-fpw1.4.zip.
I've used ebview 0.3.6 on Fedora 7 and the dictionaries worked fine.
It seems the upstream version doesn't compile on Fedora 8.

As for the LANG, I'm using ja_JP.UTF-8 usually.
The attached image in comment #1 was taken with 'LANG=C ebview'.
I have installed the system with 'English' as a default language
and chosen 'Japanese' for desktop environment of the user.

.ebview was auto-generated one except that I added dictoinaries
from the GUI.

I'm not sure if it's related to this problem or not,
ebview shows random behavior (sometimes yields warnings but starts fine,
sometimes with the same warnings but exists with $? == 1,
sometimes crashes with segfault, sometimes crashes without any message,
and in any case, I can't see the search result)

$ LANG=ja_JP.UTF-8 ebview
(ebview:23816): Pango-CRITICAL **: pango_coverage_get: assertion `index >= 0' failed
<A lot of same message>
(ebview:23816): Pango-WARNING **: shaping failure, expect ugly output.
shape-engine='BasicEngineFc', font='DejaVu LGC Sans 10', text=''
<Exit by selecting 'Exit' in 'File' menu>
$ LANG=ja_JP.UTF-8 ebview
<Exit by selecting 'Exit' in 'File' menu>
$ LANG=ja_JP.UTF-8 ebview
(ebview:23820): Pango-CRITICAL **: pango_coverage_get: assertion `index >= 0' failed
<A lot of same message>
<Exit by selecting 'Exit' in 'File' menu>
$ LANG=ja_JP.UTF-8 ebview
<Exit by selecting 'Exit' in 'File' menu>
$ LANG=ja_JP.UTF-8 ebview
<Exit by selecting 'Exit' in 'File' menu>
$ LANG=ja_JP.UTF-8 ebview
<Exit by selecting 'Exit' in 'File' menu>
$ LANG=ja_JP.UTF-8 ebview
(ebview:23829): Pango-CRITICAL **: pango_coverage_get: assertion `index >= 0' failed
<A lot of same message>
<Exit by selecting 'Exit' in 'File' menu>

$ LANG=C ebview
<Exit by selecting 'Exit' in 'File' menu>
$ LANG=C ebview
(ebview:23799): Pango-WARNING **: shaping failure, expect ugly output.
shape-engine='BasicEngineFc', font='DejaVu LGC Sans 10', text=''
<Exit by selecting 'Exit' in 'File' menu>
$ LANG=C ebview
Multiple segmentation faults occurred; can't display error dialog
$ LANG=C ebview
<Exit by selecting 'Exit' in 'File' menu>
$ LANG=C ebview
<The command silently exits>
$ LANG=C ebview
<Exit by selecting 'Exit' in 'File' menu>

Installed fonts in the system:
$ rpm -qa \*fonts\*|sort
baekmuk-ttf-fonts-common-2.2-6.fc8
baekmuk-ttf-fonts-gulim-2.2-6.fc8
bitmap-fonts-0.3-5.1.2.fc7
cjkunifonts-uming-0.1.20060928-4.fc8
dejavu-lgc-fonts-2.19-1
fonts-japanese-0.20061016-12.fc8
ghostscript-fonts-5.50-18.fc8
jomolhari-fonts-0.003-4.fc8
kacst-fonts-1.6.2-2.fc8
liberation-fonts-0.2-3.fc8
lklug-fonts-0.2.2-5.fc8
lohit-fonts-bengali-2.1.5-3.fc8
lohit-fonts-gujarati-2.1.5-3.fc8
lohit-fonts-hindi-2.1.5-3.fc8
lohit-fonts-kannada-2.1.5-3.fc8
lohit-fonts-malayalam-2.1.5-3.fc8
lohit-fonts-oriya-2.1.5-3.fc8
lohit-fonts-punjabi-2.1.5-3.fc8
lohit-fonts-tamil-2.1.5-3.fc8
lohit-fonts-telugu-2.1.5-3.fc8
paktype-fonts-2.0-2.fc8
sazanami-fonts-gothic-0.20040629-4.20061016.fc8
sazanami-fonts-mincho-0.20040629-4.20061016.fc8
tetex-fonts-3.0-44.3.fc8
urw-fonts-2.4-2.fc8
xorg-x11-fonts-100dpi-7.2-3.fc8
xorg-x11-fonts-ISO8859-1-100dpi-7.2-3.fc8
xorg-x11-fonts-Type1-7.2-3.fc8
xorg-x11-fonts-misc-7.2-3.fc8
xorg-x11-fonts-truetype-7.2-3.fc8
Comment 4 Jun'ichi Nomura (Red Hat) 2008-01-10 11:12:34 EST
Created attachment 291296 [details]
A screenshot of ebview (32bit executable on x86_64)

The problem might occur only on x86_64.
I copied /usr/bin/ebview from ebview.i386 and it showed
the search results fine on x86_64 system.
Comment 5 Mamoru TASAKA 2008-01-10 13:07:39 EST
Would you try ebview-0.3.6-4.fc8?
(not pushed to testing or stable, please download it from
 http://koji.fedoraproject.org/packages/ebview/0.3.6/4.fc8/ )

I tried to apply a patch from opensuse.
Comment 6 Jun'ichi Nomura (Red Hat) 2008-01-10 14:36:29 EST
Thanks for the quick update.
ebview-0.3.6-4.fc8 works just fine!

(The occasional segmentation faults and warnings still occur, though.
 It seems like a separate bug.)
Comment 7 Mamoru TASAKA 2008-01-10 20:36:04 EST
(In reply to comment #6)
> Thanks for the quick update.
> ebview-0.3.6-4.fc8 works just fine!
> 
> (The occasional segmentation faults and warnings still occur, though.
>  It seems like a separate bug.)
> 

Thank you for confirming!
If some crash occurs, it might be helpful that you attach
the gdb backtrace log (to new bug).
Comment 8 Fedora Update System 2008-01-11 17:15:51 EST
ebview-0.3.6-4.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-01-11 17:20:58 EST
ebview-0.3.6-4.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.